Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 101012 - There should be detailed descriptions available for hotfix nbms
There should be detailed descriptions available for hotfix nbms
Status: CLOSED FIXED
Product: updatecenters
Classification: Unclassified
Component: Hotfixes
5.x
All All
: P2 (vote)
: 5.x
Assigned To: pgebauer
Autoupdate Masters
release55_fixes_fixed, release551_fix...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-13 20:08 UTC by Karthikeyan Rajeswaran
Modified: 2007-06-11 22:19 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karthikeyan Rajeswaran 2007-04-13 20:08:31 UTC
The issue was raised in the forum:
http://www.netbeans.org/servlets/BrowseList?list=nbusers&by=thread&from=787006

> When I went to do the Update Center this morning, I noticed an update 
> from the NetBeans Hotfix Update Center labeled "Core" (with no 
> description).  What is this?  Do I need it?

The client should provide more info about the hotfixes. Perhaps clicking the
'More' button should provide detailed info on the hotfixes.
Comment 1 pgebauer 2007-04-14 11:18:00 UTC
Issues included in the patch are marked with keyword 55_PATCH3.
Please see http://www.netbeans.org/issues/describekeywords.cgi and also
http://www.netbeans.org/issues/buglist.cgi?keywords=55_PATCH3 .
At least this info should be in the short description of every patch module.
(Note: The short description is visible in the bottom text area in the Update
Center Wizard dialog when a user Selects Modules to Install.)
Comment 2 Patrick Keegan 2007-04-14 19:10:46 UTC
I filed issue 101054 for making the UI in the plugin manager better for
displaying hot fix info.
Comment 3 Karthikeyan Rajeswaran 2007-04-15 03:36:21 UTC
Some suggestions:

> http://www.netbeans.org/issues/buglist.cgi?keywords=55_PATCH3 .
Since the hotfixes are cumulative, we can use the more generic query:
http://www.netbeans.org/issues/buglist.cgi?keywords=55_PATCH3%2C55_PATCH2%2C55_PATHC1&keywords_type=anytokens

Also consider if 55_HOTFIX3 would be a better keyword than 55_PATCH3.

> At least this info should be in the short description of every patch module.
While making the info a part of short description is certainly more user
friendly, it also requires modification of each module. Instead, please consider
assigning a URL to the 'More' button.

For 6.0, a more formal method can be considered, which can be discussed at issue
101054. For 55 and 551, the 'More' button for hotfixes can point to a page on
our wiki site which can include the link to a query based on keywords as
mentioned above. (Of course, the more button can directly point to the query
itself. But pointing it to a dedicated wiki page would allow us to add more info
like any special instructions etc, if such info is needed later).

Of course, the wiki page can simply list the issue ids directly, in which case
the keywords may not be needed.
Comment 4 Karthikeyan Rajeswaran 2007-04-29 19:19:08 UTC
Some suggestions on the wiki page:
- Create a toplevel category 'Sustaining' as in
http://wiki.netbeans.org/wiki/Sustaining (in parallel to Development and QE).
For now, there may not be a need to add a direct link to this sustaining page
from the wiki's main page; such a link should probably added after discussions
with the community.
- The main sustaining page "http://wiki.netbeans.org/wiki/view/Sustaining" can
initially be based on "http://developers.sun.com/jsenterprise/downloads/patches/" . 
- The individual readmes for hotfixes can be modelled on sunsolve readme as in:
http://sunsolve.sun.com/search/advsearch.do?collection=PATCH&type=collections&max=50&language=en&queryKey5=121045&toDocument=yes
There are several sections in sunsolve format that are not needed for NetBeans
hotfixes and these can be removed. Similarly of course new sections can be added
that are relevant for NB hotfixes.
- Right now there is no correlation between nbms and bugs fixed. This can be
solved by associating nbms with their module short description and then by
grouping issues fixed under module short descriptions.
Comment 5 pgebauer 2007-05-11 21:46:10 UTC
The wiki page http://wiki.netbeans.org/wiki/view/NetBeans5.5PatchesInfo has been
created for tracking all NetBeans 5.5 bugfixes. The similar page will be created
for next NetBeans releases and its URL will be assigned to the 'More' button in
Update Center Wizard.
Comment 6 pgebauer 2007-05-15 14:43:05 UTC
Checking in projectized.xml;
/cvs/nbbuild/templates/projectized.xml,v  <--  projectized.xml
new revision: 1.58.10.1.2.8.26.1; previous revision: 1.58.10.1.2.8
done
Comment 7 pgebauer 2007-05-16 11:48:20 UTC
The issue has been ported into release551_fixes branch.

Checking in projectized.xml;
/cvs/nbbuild/templates/projectized.xml,v  <--  projectized.xml
new revision: 1.58.10.1.2.8.40.1; previous revision: 1.58.10.1.2.8
done
Comment 8 Jaromir Uhrik 2007-05-17 10:10:40 UTC
Verified.
Comment 9 pgebauer 2007-05-17 13:11:45 UTC
The additional change of "nbm.homepage" value in "project.properties" files are
needed for UML modules because they overrides the value of "nbm.homepage" in
"nbbuild/templates/projectized.xml".

Checking in core/nbproject/project.properties;
/cvs/uml/core/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.13.8.1; previous revision: 1.1.2.13
done
Checking in ideintegration/nbproject/project.properties;
/cvs/uml/ideintegration/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in projectui/nbproject/project.properties;
/cvs/uml/projectui/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in webreport/nbproject/project.properties;
/cvs/uml/webreport/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in tomsawyer/nbproject/project.properties;
/cvs/uml/tomsawyer/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.6.12.1; previous revision: 1.1.2.6
done
Checking in documentation/nbproject/project.properties;
/cvs/uml/documentation/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in doorsrequirements/nbproject/project.properties;
/cvs/uml/doorsrequirements/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.5.10.1; previous revision: 1.1.2.5
done
Checking in xmlrequirements/nbproject/project.properties;
/cvs/uml/xmlrequirements/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in propertysupport/nbproject/project.properties;
/cvs/uml/propertysupport/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in bankappsample/nbproject/project.properties;
/cvs/uml/bankappsample/nbproject/Attic/project.properties,v  <--  project.properties
new revision: 1.1.2.2; previous revision: 1.1.2.1
done
Checking in modelingpalette/nbproject/project.properties;
/cvs/uml/modelingpalette/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in kit/nbproject/project.properties;
/cvs/uml/kit/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.1.10.1; previous revision: 1.1.2.1
done
Checking in java5parser/nbproject/project.properties;
/cvs/uml/java5parser/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.9.8.1; previous revision: 1.1.2.9
done
Checking in antlr-2-7-2/nbproject/project.properties;
/cvs/uml/antlr-2-7-2/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.6.12.1; previous revision: 1.1.2.6
done
Checking in requirements/nbproject/project.properties;
/cvs/uml/requirements/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in drawingareacontrol/nbproject/project.properties;
/cvs/uml/drawingareacontrol/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.8.8.1; previous revision: 1.1.2.8
done
Checking in designpattern/nbproject/project.properties;
/cvs/uml/designpattern/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.5.10.1; previous revision: 1.1.2.5
done
Comment 10 pgebauer 2007-06-06 16:45:36 UTC
Checking in project.properties;
/cvs/uml/dom4jdependencies/nbproject/project.properties,v  <--  project.properties
new revision: 1.1.2.6.12.1; previous revision: 1.1.2.6
done
Comment 11 Karthikeyan Rajeswaran 2007-06-08 21:21:17 UTC
Closing the issue as both 55 and 551 hotfix and uml nbms point to the relevant
pages on wiki.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo